.progress-bar-local{
  counter-reset: step;
  & .step {
    list-style: none;
    display: inline-block;
    width: 16%;
    position: relative;
    text-align: center;
    cursor: pointer;
    &:before{
      content: counter(step);
      counter-increment: step;
      width: 30px;
      height: 30px;
      line-height : 30px;
      border: 1px solid #ddd;
      border-radius: 100%;
      display: block;
      text-align: center;
      margin: 0 auto 10px auto;
      background-color: #fff;
    }
    &:after{
      content: "";
      position: absolute;
      width: 100%;
      height: 1px;
      background-color: #ddd;
      top: 15px;
      left: -50%;
      z-index : -1;
    }
    &:first-child:after {
      content: none;
    }
    &.is-active,  &.is-active-step {
       &:before{
         content: "\f00c";
         font-family: FontAwesome;
         font-style: normal;
         font-weight: normal;
         text-decoration: inherit;
         /*--adjust as necessary--*/
         color: green;
         border-color: green;
       }
       color: green;
     }

    &.is-active:after, &.is-active-step:after {
      background-color: green;
    }

    &.is-active-error {
      .progress-bar-local .step:before {
        line-height: 21px;
      }
      &:before{
        content: "\f00d";
        font-family: FontAwesome;
        font-style: normal;
        font-weight: normal;
        text-decoration: inherit;
        /*--adjust as necessary--*/
        color: red;
        border-color: red;
      }
      color: red;
    }

    &.is-active-pending {

      &:before{
        content: "\f12a";
        font-family: FontAwesome;
        font-style: normal;
        font-weight: normal;
        text-decoration: inherit;
        /*--adjust as necessary--*/
        color: #ffa500;
        border-color: #ffa500;
      }
      color: #ffa500;
    }
    &.is-active-pending:after {
      background-color: green;
    }
  }
}
